getLocations
READGet locations.
POST /api/v1/resources/getLocations
curl -X POST '<your-host>/api/v1/resources/getLocations' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"code": "string",
"companyId": "string",
"countryCode": "string",
"createdAt": "string",
"createdBy": "string",
"customFields": "…",
"id": "string",
"latitude": 0,
"longitude": 0,
"name": "string",
"postalCode": "string",
"requiresStaffing": true,
"stateProvince": "string",
"storageCapacityGallons": 0,
"tags": [
"string"
],
"timezone": "string",
"updatedAt": "string",
"updatedBy": "string",
"usableStorageGallons": 0
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
}
}
}
}
}